<section class="content-header">
  <div class="container-fluid">
    <div class="row mb-2">
      <div class="col-sm-6">
        <h1>Offers
          <!--          <button data-toggle="modal" data-target="#modal-default" class="btn btn-outline-primary" style="margin-left: 10px">New Mission</button>-->

        </h1>






      </div>
      <div class="col-sm-6">

        <ol class="breadcrumb float-sm-right">
          <!--          <div class="d-flex flex-row-reverse bd-highlight mb-2">-->
          <!--          -->
          <!--          </div>-->

          <li class="breadcrumb-item"><a style="color: dodgerblue">Mission</a></li>
          <li class="breadcrumb-item active">List of Offer</li>

        </ol>

      </div>

    </div>
  </div><!-- /.container-fluid -->
</section>
<section class="content">
  <div class="container-fluid">

    <div class="col-md-12 ">
      <!-- general form elements -->
      <div class="card card-primary">
        <div class="card-header" >
          <h3 class="card-title">List of Offer
          </h3>

        </div>


        <div class="card-body">
          <div class="table-responsive p-0" style="height: 328px;" >
            <table class="table table-head-fixed text-nowrap">
              <thead>
              <tr>
                <!--                <th>ID</th>-->
                <th>Avatar</th>
                <th>Price</th>

                <th>Date</th>
<!--                <th>Progress</th>-->
<!--                <th>Stat</th>-->
                <th>Action</th>
              </tr>
              </thead>

              <tbody>
              <tr *ngFor="let m of offers">
                <!--                <td>{{m.id}}</td>-->
                <td>{{m.avatarMail}}</td>
                <td>{{m.price}}</td>
                <td>{{m.date|date:'dd-MM-yyyy'}}</td>
<!--                <td>-->
<!--                  <div *ngIf="isAccepted(m)"> <span class="badge bg-success">{{m.state}}</span></div>-->
<!--                  <div *ngIf="isPending(m)"> <span class="badge bg-orange">{{m.state}}</span></div>-->
<!--                </td>-->
<!--                <td>-->

<!--                  <div *ngIf="isDone(m)"> <span class="badge bg-success">{{m.progress}}</span></div>-->
<!--                  <div *ngIf="isUndone(m)"> <span class="badge bg-warning">{{m.progress}}</span></div>-->
<!--                  <div *ngIf="isDoing(m)"> <span class="badge bg-info">{{m.progress}}</span></div>-->
<!--                  <div *ngIf="isPendingProgress(m)"> <span class="badge bg-orange">{{m.progress}}</span></div>-->

<!--                </td>-->
<!--                <td>-->
<!--                  &lt;!&ndash;                        data-toggle="modal" data-target="#modal-default"&ndash;&gt;-->
<!--                  &lt;!&ndash;                        <i [routerLink]="['/updatemission', m.id]"  class="far fa-eye"></i>-->
<!--                                              (click)="openDialog(m.id)"-->
<!--                                              (click)="deleteMission(m.id)"-->
<!--                                              [routerLink]="['/updatemission', m.id]"-->
<!--                                              *ngIf="VerifyProp(m.clientemail)"-->
<!--                                              [routerLink]="['/detailsmission', m.id]"&ndash;&gt;-->
<!--                  <i class="far fa-edit"[hidden]="!VerifyProp(m.clientemail)||m.rated||isUndone(m)"  [routerLink]="['/updatemission', m.id]"></i>-->
<!--                  <i class="far fa-trash-alt" [hidden]="!VerifyProp(m.clientemail)||m.rated||isUndone(m)" (click)="openDialogD(m.id)" style="margin-left: 10px"></i>-->
<!--                  <i class="fas fa-bars" (click)="openDialogDetails(m.id)" style="margin-left: 10px"></i>-->
<!--                  &lt;!&ndash;                 <i class="far fa-star" [hidden]="m.rated" (click)="openDialogRating(m.id)" [disabled]="!isDone(m)"  style="margin-left: 10px"></i>&ndash;&gt;-->
<!--                  &lt;!&ndash;                  <button  class= "btn btn-info far fa-eye" [routerLink]="['/updatemission', m.id]" [hidden]="m.rated" [disabled]="!VerifyProp(m.clientemail)"> UPDATE</button>&ndash;&gt;-->
<!--                  &lt;!&ndash;                  <button   class= "btn btn-danger" (click)="openDialogD(m.id)" style="margin-left: 10px" [hidden]="m.rated" [disabled]="!VerifyProp(m.clientemail)">DELETE</button>&ndash;&gt;-->
<!--                  &lt;!&ndash;                  <button   class= "btn btn-success" (click)="openDialogDetails(m.id)" style="margin-left: 10px">DETAILS</button>&ndash;&gt;-->

<!--                  <button   class= "btn" (click)="openDialogRating(m.id)" [hidden]="!VerifyProp(m.clientemail)||m.rated" [disabled]="!isDone(m)" ><i class="far fa-star"></i></button>-->

<!--        -->
<!--                </td>-->
                <td>
<!--                  <i class="far fa-edit"[hidden]="" ></i>-->
                  <i class="fas fa-check" [hidden]="!isPending(m)" (click)="acceptOffer(m.id)" style="margin-left: 10px" title="accept offer"></i>
                  <i class="fas fa-times" [hidden]="!isPending(m)" (click)="declineOffer(m.id)" style="margin-left: 10px" title="decline offer"></i>
                  <i class="fas fa-info-circle" (click)="openDialog(m.avatar.id)" style="margin-left: 10px" title="avatar card"></i>
                  &nbsp;<i class="fas fa-poll-h" (click)="openDialogRates(m.avatarMail)" style="margin-left: 10px" title="avatar rating"></i>
                  <i class="fa fa-user" [routerLink]="['/visitprofile', m.avatar.username]" style="margin-left: 10px" title="Visit avatar profile"></i>

                </td>

              </tr>

              </tbody>

            </table>

          </div>
        </div>




      </div>

    </div>


    <!-- /.row -->
  </div><!-- /.container-fluid -->
</section>
